Subject: Re: [RRG] Try again

From: [email-masked]
Date: Wed, 28 May 2008 18:03:51 EDT

If I remember correctly, you Brian, once wrote IPv6 is just more of IPv4,  
right?
Its basics are according to 1998 or so. E.g. it still has the same simple  
TTL which doesn't help avoiding loops (it can only report maybe-loops), no  
mechanism to enfoce consistent routes (e.g others than the shortest one) etc.  
etc. ...
 
Given that IPv6 was once THE FUTURE, it is know a  (additional) constraint 
for any new architecture :-(
 
Heiner
 
In einer eMail vom 28.05.2008 23:34:18 Westeuropäische Normalzeit schreibt  
[email-masked]:

On  2008-05-29 02:25, David Conrad wrote:
...
> What can we keep in the  existing infrastructure and architecture and
> still "Do It  Right"?
> 
> Or perhaps, what part of the existing infrastructure  and architecture
> should we jettison because it isn't necessary and/or  is wrong?

I fear that are some parts that may be wrong but have to be  kept
because, er, that's how the Internet has been constructed.

To  be specific, in 1974 Louis Pouzin wrote:
"There is no need to interpret the  destination address any more
than required to find an appropriate gateway  in the correct direction.
Putting gateway names in addresses is  unacceptable, as it would
tie up addressing and network topology. Thus,  only PSN [packet
switched network] names should be used as catenet  [internet]
addresses. Delivering a message to a final destination is  carried
out only by the final PSN."

Pouzin also proposed an address  format:
<Format> <PSN name> <Local  name>
where the local name is explicitly of variable length.

Now,  I fear he was right, but that's not what got implemented.
We got a model  based on fixed length addresses without a format
prefix. I didn't see in  the IPng discussion and don't see now how
we can jettison that.

I  don't disagree with your argument, but we may not be able to
"do it right"  in the sense of mathematical perfection. We have to
"do it as right as  possible given the starting point."

> The reason I ask is that is  seems to me that much of the discussion
> lately has appeared to me to  be based upon widely varying base
> assumptions about what is and isn't  necessary to "Do It Right".  I
> suspect it might be hard to reach  consensus if this were to be the case...

Maybe we need a list of things  that will not change?

Brian

--
to unsubscribe  send a message to [email-masked] with the
word 'unsubscribe' in a  single line as the message text body.
archive:  <http://psg.com/lists/rrg/> &  ftp://psg.com/pub/lists/rrg